"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const React = tslib_1.__importStar(require("react"));
const NumberField_1 = tslib_1.__importDefault(require("./NumberField"));
class CurrencyField extends React.Component {
    constructor() {
        super(...arguments);
        this.humanize = (money) => {
            let [dollar, cents] = (money || 0).toFixed(2).split('.');
            let value = ('$ ' +
                dollar
                    .split('')
                    .reverse()
                    .reduce(function (acc, money, i) {
                    return money + (i && !(i % 3) ? ',' : '') + acc;
                }, ''));
            return parseInt(cents) !== 0 ? [value, cents].join('.') : value;
        };
    }
    shouldComponentUpdate(nextProps) {
        return nextProps.value !== this.props.value || nextProps.disabled !== this.props.disabled;
    }
    render() {
        const { value, disabled, onChange } = this.props;
        return (React.createElement(NumberField_1.default, { value: value, displayContent: this.humanize(value), disabled: disabled, onChange: onChange }));
    }
}
CurrencyField.defaultProps = {
    disabled: false
};
exports.default = CurrencyField;
//# sourceMappingURL=CurrencyField.js.map