"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const ContentEditable_1 = tslib_1.__importDefault(require("./ContentEditable"));
const React = tslib_1.__importStar(require("react"));
class NumberField extends React.Component {
    constructor() {
        super(...arguments);
        this.handleKeyPress = (e) => {
            if (String.fromCharCode(e.which) !== '-' &&
                String.fromCharCode(e.which) !== '.' &&
                isNaN(Number(String.fromCharCode(e.which)))) {
                e.preventDefault();
            }
        };
        this.onChange = (newContent) => {
            const newValue = Number(newContent);
            this.props.onChange(newValue);
        };
        this.content = () => {
            return this.props.value.toString();
        };
    }
    shouldComponentUpdate(nextProps) {
        return nextProps.value !== this.props.value || nextProps.disabled !== this.props.disabled;
    }
    render() {
        const { disabled, displayContent, selectOnFocus } = this.props;
        return (React.createElement(ContentEditable_1.default, { content: this.content(), displayContent: displayContent, disabled: disabled, selectOnFocus: selectOnFocus, onChange: this.onChange, onKeyPress: this.handleKeyPress }));
    }
}
NumberField.defaultProps = {
    disabled: false,
    selectOnFocus: true
};
exports.default = NumberField;
//# sourceMappingURL=NumberField.js.map