"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const React = tslib_1.__importStar(require("react"));
const SelectField_1 = require("./styles/SelectField");
class SelectField extends React.Component {
    constructor() {
        super(...arguments);
        this.handleChange = evt => {
            this.props.onChange(evt.target.value);
        };
    }
    shouldComponentUpdate(nextProps) {
        return (nextProps.disabled !== this.props.disabled ||
            nextProps.value !== this.props.value ||
            nextProps.options !== this.props.options);
    }
    render() {
        const { options, disabled, value } = this.props;
        return (React.createElement(SelectField_1.SelectSpan, null,
            options[value],
            !disabled && (React.createElement(SelectField_1.StyledSelect, { onChange: this.handleChange, value: value }, Object.keys(options).map(key => {
                const val = options[key];
                return (React.createElement("option", { value: key, key: key }, val));
            })))));
    }
}
SelectField.defaultProps = {
    disabled: false,
    onChange: () => { }
};
exports.default = SelectField;
//# sourceMappingURL=SelectField.js.map